Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046847
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2021-05-26 16:312021-06-11 07:27
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in VersionPR21Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046847: Fix support for SCRAM authentication with PostgreSQL database by updating jdbc driver to version supporting it (again)

DescriptionIssue 44832 updated the jdbc driver to a version implementing scram authentication.

However that version used 42.2.16 has a bug where it fails when the password contains a space character.

That is fixed in version 42.2.19 so we should update the driver again to the latest version to include the bugfix.

https://jdbc.postgresql.org/ [^]
PostgreSQL JDBC Driver 42.2.19 Released
Now the driver uses SASLprep normalization for SCRAM authentication fixing some issues with spaces in passwords.
Steps To ReproduceSame as in 44832 just use a password with a space character i.e. for bbdd.password
Proposed SolutionUpdate jdbc driver to latest version (currently 42.2.20) but at least the .19 version containing the fix we need:
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0044832PR20Q4 closedcberner Support SCRAM authentication with PostgreSQL database by updating jdbc driver to version supporting it 
related to feature request 0046376 newplatform support PostgreSQL 14 

-  Notes
(0128678)
shuehner (administrator)
2021-05-26 16:32

Note that the following change from 42.2.20 sounds like it could cause some compatibility issues potentially:

DatabaseMetaData.getTables returns columns in UPPER case as per the spec PR 0002092 fixes Issue 0000830

Needs to be tested also with dbsm
(0128679)
shuehner (administrator)
2021-05-26 16:33

Note that upcoming pg14 release switched the password_encryption to SCRAM.
(0129117)
hgbot (developer)
2021-06-07 09:16

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/379 [^]
(0129229)
hgbot (developer)
2021-06-09 10:57

Merge Request created: https://gitlab.com/openbravo/tools/platform/dependencies/-/merge_requests/3 [^]
(0129241)
hgbot (developer)
2021-06-09 11:13

Merge Request created: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/103 [^]
(0129247)
hgbot (developer)
2021-06-09 11:26

Merge Request created: https://gitlab.com/openbravo/ci/backoffice-test/-/merge_requests/21 [^]
(0129332)
hgbot (developer)
2021-06-10 13:30

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 370b8d40237bec9da8e7b59851fc8c6b0e3bb851
Author: Asier Lostalé <asier.lostale@openbravo.com>
Date: 2021-06-10T13:28:55+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/370b8d40237bec9da8e7b59851fc8c6b0e3bb851 [^]

fixes ISSUE-46847: PG SCRAM authentication issue in jdbc

Updates PostrgreSQL JDBC driver: 42.2.16 -> 42.2.20 (latest as of
today), which includes the fix for SCRAM authentication.

---
A lib/runtime/postgresql-42.2.20.jar
M legal/Licensing.txt
---
(0129333)
hgbot (developer)
2021-06-10 13:30

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/379 [^]
(0129373)
hgbot (developer)
2021-06-11 07:27

Merge request merged: https://gitlab.com/openbravo/tools/platform/dependencies/-/merge_requests/3 [^]
(0129374)
hgbot (developer)
2021-06-11 07:27

Repository: https://gitlab.com/openbravo/tools/platform/dependencies [^]
Changeset: a48aaa033c7b5eed7c788b59e8abed20e74119aa
Author: Asier Lostalé <asier.lostale@openbravo.com>
Date: 2021-06-09T10:56:31+02:00
URL: https://gitlab.com/openbravo/tools/platform/dependencies/-/commit/a48aaa033c7b5eed7c788b59e8abed20e74119aa [^]

ISSUE-46847: PG JDBC update 42.2.16 -> 42.2.20

---
M build.gradle
---
(0129375)
hgbot (developer)
2021-06-11 07:27

Repository: https://gitlab.com/openbravo/ci/mobile-test [^]
Changeset: 472d0a8e10ce0f4de0691ae832bfc5e1b794bee9
Author: Asier Lostalé <asier.lostale@openbravo.com>
Date: 2021-06-09T11:12:02+02:00
URL: https://gitlab.com/openbravo/ci/mobile-test/-/commit/472d0a8e10ce0f4de0691ae832bfc5e1b794bee9 [^]

ISSUE-46847: PG JDBC update: 42.2.16 -> 42.2.20

---
A lib/runtime/choosables/postgresql-42.2.20.jar
M lib/runtime/postgresql-default.jar
---
(0129376)
hgbot (developer)
2021-06-11 07:27

Merge request merged: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/103 [^]
(0129377)
hgbot (developer)
2021-06-11 07:27

Merge request merged: https://gitlab.com/openbravo/ci/backoffice-test/-/merge_requests/21 [^]
(0129378)
hgbot (developer)
2021-06-11 07:27

Repository: https://gitlab.com/openbravo/ci/backoffice-test [^]
Changeset: 8ac65be53185d56af903f165171a25e29384c985
Author: Asier Lostalé <asier.lostale@openbravo.com>
Date: 2021-06-09T11:24:23+02:00
URL: https://gitlab.com/openbravo/ci/backoffice-test/-/commit/8ac65be53185d56af903f165171a25e29384c985 [^]

ISSUE-46847: PG JDBC update: 42.2.16 -> 42.2.20

---
A lib/postgresql-42.2.20.jar
M .classpath.template
---

- Issue History
Date Modified Username Field Change
2021-05-26 16:31 shuehner New Issue
2021-05-26 16:31 shuehner Assigned To => platform
2021-05-26 16:31 shuehner Modules => Core
2021-05-26 16:31 shuehner Triggers an Emergency Pack => No
2021-05-26 16:31 shuehner Relationship added related to 0044832
2021-05-26 16:31 shuehner Relationship added related to 0046376
2021-05-26 16:32 shuehner Note Added: 0128678
2021-05-26 16:33 shuehner Note Added: 0128679
2021-06-07 09:05 alostale Status new => scheduled
2021-06-07 09:05 alostale Assigned To platform => alostale
2021-06-07 09:16 hgbot Note Added: 0129117
2021-06-09 10:57 hgbot Note Added: 0129229
2021-06-09 11:13 hgbot Note Added: 0129241
2021-06-09 11:26 hgbot Note Added: 0129247
2021-06-10 13:30 hgbot Resolution open => fixed
2021-06-10 13:30 hgbot Status scheduled => closed
2021-06-10 13:30 hgbot Fixed in Version => PR21Q3
2021-06-10 13:30 hgbot Note Added: 0129332
2021-06-10 13:30 hgbot Note Added: 0129333
2021-06-11 07:27 hgbot Note Added: 0129373
2021-06-11 07:27 hgbot Note Added: 0129374
2021-06-11 07:27 hgbot Note Added: 0129375
2021-06-11 07:27 hgbot Note Added: 0129376
2021-06-11 07:27 hgbot Note Added: 0129377
2021-06-11 07:27 hgbot Note Added: 0129378


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker